# coding: utf-8

from sqlalchemy import MetaData, Table, Column, String


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    journal = Table('journal', meta, autoload=True)

    request_id = Column('request_id', String(64), nullable=True)
    request_id.create(journal)
    parent_request_id = Column('parent_request_id', String(64), nullable=True)
    parent_request_id.create(journal)
    object_type = Column('object_type', String(64), nullable=True)
    object_type.create(journal)
    object_id = Column('object_id', String(64), nullable=True)
    object_id.create(journal)
    status_before = Column('status_before', String(64), nullable=True)
    status_before.create(journal)
    status_after = Column('status_after', String(64), nullable=True)
    status_after.create(journal)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    journal = Table('journal', meta, autoload=True)
    journal.c.request_id.drop()
    journal.c.parent_request_id.drop()
    journal.c.object_type.drop()
    journal.c.object_id.drop()
    journal.c.status_before.drop()
    journal.c.status_after.drop()
