# coding: utf-8
from sqlalchemy import Column, MetaData, Table, VARCHAR


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_nodes_table = Table('tnx_nodes', meta, autoload=True)

    controller_id = Column('controller_id',
                           VARCHAR(length=36), default=None, nullable=True)
    controller_login = Column('controller_login',
                              VARCHAR(length=255), nullable=True)
    controller_password = Column('controller_password',
                                 VARCHAR(length=128), nullable=True)
    controller_type = Column('controller_type',
                             VARCHAR(length=50), nullable=True)

    controller_id.create(tnx_nodes_table)
    controller_login.create(tnx_nodes_table)
    controller_password.create(tnx_nodes_table)
    controller_type.create(tnx_nodes_table)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_nodes_table = Table('tnx_nodes', meta, autoload=True)

    tnx_nodes_table.c.controller_id.drop()
    tnx_nodes_table.c.controller_login.drop()
    tnx_nodes_table.c.controller_password.drop()
    tnx_nodes_table.c.controller_type.drop()
