# coding: utf-8
from sqlalchemy import Column, MetaData, Table, Integer
from migrate.changeset.constraint import ForeignKeyConstraint


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_nodes_table = Table('tnx_nodes', meta, autoload=True)

    host_type_id = Column('host_type_id', Integer, nullable=True)
    host_type_id.create(tnx_nodes_table)

    tnx_host_type_table = Table('host_type', meta, autoload=True)
    host_type_id_fk = ForeignKeyConstraint(
        columns=[tnx_nodes_table.c.host_type_id],
        refcolumns=[tnx_host_type_table.c.id],
    )
    host_type_id_fk.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_nodes_table = Table('tnx_nodes', meta, autoload=True)

    tnx_host_type_table = Table('host_type', meta, autoload=True)
    ForeignKeyConstraint(
        columns=[tnx_nodes_table.c.host_type_id],
        refcolumns=[tnx_host_type_table.c.id],
    ).drop()

    tnx_nodes_table.c.controller_type_id.drop()
