# coding: utf-8

from sqlalchemy import MetaData, Table

from tionix_node_control.fixtures.host_classes import host_classes, host_types


def upper_first(s):
    return u'{0}{1}'.format(s[0].upper(), s[1:]) if s else s


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    for fixture in (host_classes, host_types):
        model_name = fixture['model']
        default_names = [model['fields']['name'] for model in fixture['data']]

        table = Table(model_name, meta, autoload=True)
        for row in table.select().execute().fetchall():
            if row.name in default_names:
                new_name = upper_first(row.name)
                if new_name != row.name:
                    # pylint: disable=no-value-for-parameter
                    table.update().where(table.c.id == row.id).values(
                        name=new_name).execute()


# noinspection PyUnusedLocal
def downgrade(migrate_engine):
    pass
