# coding: utf-8

from sqlalchemy import MetaData, Table, Column, String


def upgrade(migrate_engine):
    """
    upgrade table - add owner column
    :param migrate_engine:
    :return: None
    """
    meta = MetaData(bind=migrate_engine)

    tnx_nodes = Table('tnx_nodes', meta, autoload=True)
    owner = Column('owner', String(length=255), nullable=True)
    owner.create(tnx_nodes)


def downgrade(migrate_engine):
    """
    downgrade table - drop owner column
    :param migrate_engine:
    :return:
    """
    meta = MetaData(bind=migrate_engine)

    tnx_nodes = Table('tnx_nodes', meta, autoload=True)
    tnx_nodes.c.owner.drop()
