# coding: utf-8

from sqlalchemy import MetaData, Table, Column, Boolean
from sqlalchemy.sql import expression


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_nodes_table = Table('tnx_nodes', meta, autoload=True)

    active = Column('active', Boolean, nullable=False, default=True,
                    server_default=expression.true())

    active.create(tnx_nodes_table)


# noinspection PyUnusedLocal
def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tnx_nodes_table = Table('tnx_nodes', meta, autoload=True)

    tnx_nodes_table.c.active.drop()
