# coding: utf-8

from sqlalchemy import MetaData, Table

from migrate.changeset.constraint import UniqueConstraint


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    host_type_table = Table('host_type', meta, autoload=True)

    uniq = UniqueConstraint(
        'name', 'deleted', 'host_class_id',
        table=host_type_table)
    uniq.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    host_type_table = Table('host_type', meta, autoload=True)

    uniq = UniqueConstraint(
        'name', 'deleted', 'host_class_id',
        table=host_type_table)
    uniq.drop()
