# coding: utf-8
# pylint: disable=no-member

from sqlalchemy import MetaData, Table, Column, Text


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    power_device_table = Table('tnx_power_devices', meta, autoload=True)

    ssh_key = Column('ssh_key', Text(), nullable=True)
    power_device_table.create_column(ssh_key)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    power_device_table = Table('tnx_power_devices', meta, autoload=True)
    power_device_table.drop_column('ssh_key')
