# coding: utf-8

# noinspection PyPackageRequirements
from sqlalchemy import MetaData, Table


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tnx_ip_addresses_table = Table('tnx_ip_addresses', meta, autoload=True)
    tnx_ip_addresses_table.c.tnx_node_id.alter(nullable=True)
    tnx_ip_addresses_table.c.ip_address.alter(unique=True)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tnx_ip_addresses_table = Table('tnx_ip_addresses', meta, autoload=True)
    tnx_ip_addresses_table.c.tnx_node_id.alter(nullable=False)
    tnx_ip_addresses_table.c.ip_address.alter(unique=False)
