# coding: utf-8

from sqlalchemy import MetaData, Table, Column, Integer, DateTime


# pylint: disable=no-member
def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    aggregates = Table('aggregates', meta, autoload=True)
    aggregates.create_column(Column('created_at', DateTime))
    aggregates.create_column(Column('updated_at', DateTime))
    aggregates.create_column(Column('deleted_at', DateTime))
    aggregates.create_column(Column('deleted', Integer))

    node_reservs = Table('node_reservs', meta, autoload=True)
    node_reservs.create_column(Column('created_at', DateTime))
    node_reservs.create_column(Column('updated_at', DateTime))
    node_reservs.create_column(Column('deleted_at', DateTime))
    node_reservs.create_column(Column('deleted', Integer))

    tnx_ip_addresses = Table('tnx_ip_addresses', meta, autoload=True)
    tnx_ip_addresses.create_column(Column('created_at', DateTime))
    tnx_ip_addresses.create_column(Column('updated_at', DateTime))
    tnx_ip_addresses.create_column(Column('deleted_at', DateTime))
    tnx_ip_addresses.create_column(Column('deleted', Integer))


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    aggregates = Table('aggregates', meta)
    aggregates.drop_column('created_at')
    aggregates.drop_column('updated_at')
    aggregates.drop_column('deleted_at')
    aggregates.drop_column('deleted')

    node_reservs = Table('node_reservs', meta)
    node_reservs.drop_column('created_at')
    node_reservs.drop_column('updated_at')
    node_reservs.drop_column('deleted_at')
    node_reservs.drop_column('deleted')

    tnx_ip_addresses = Table('tnx_ip_addresses', meta)
    tnx_ip_addresses.drop_column('created_at')
    tnx_ip_addresses.drop_column('updated_at')
    tnx_ip_addresses.drop_column('deleted_at')
    tnx_ip_addresses.drop_column('deleted')
