# coding: utf-8

from migrate.changeset.constraint import UniqueConstraint
from sqlalchemy import MetaData, Table


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    aggregates_table = Table('aggregates', meta, autoload=True)
    aggregates_table.c.aggregate_id.alter(unique=False)

    uniq = UniqueConstraint('aggregate_id', 'deleted', table=aggregates_table,
                            name='uniq_aggregates0aggregate_id0deleted')
    uniq.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    aggregates_table = Table('aggregates', meta, autoload=True)

    uniq = UniqueConstraint('aggregate_id', 'deleted', table=aggregates_table,
                            name='uniq_aggregates0aggregate_id0deleted')
    uniq.drop()
    aggregates_table.c.aggregate_id.alter(unique=True)
